%define anolis_release 2
Name:           libpciaccess
Version:        0.17
Release:        %{anolis_release}%{?dist}
Summary:        PCI access library

License:        MIT
URL:            https://www.x.org/

Source0:	https://www.x.org/archive/individual/lib/%{name}-%{version}.tar.xz

BuildRequires:	meson >= 0.48.0
Requires:       hwdata

%description
libpciaccess is a library for portable PCI access routines across multiple
operating systems.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        PCI access library development package
Requires:       %{name} = %{version}-%{release}

%description devel
Development package for libpciaccess.

%prep
%autosetup -p1

%build
%meson -Dzlib=disabled
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/libpciaccess.so.*

%files doc
%doc AUTHORS

%files devel
%{_includedir}/pciaccess.h
%{_libdir}/libpciaccess.so
%{_libdir}/pkgconfig/pciaccess.pc

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 0.17-2
- Rebuild for remove inappropriate build dependencies.

* Fri Nov 18 2022 Funda Wang <fundawang@yeah.net> - 0.17-1
- New version 0.17

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.16-2
- add doc package

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.16-1
- Init from upstream version 0.16

